package com.chenyang.nse.bussiness.entity.orm.table.console;

import com.chenyang.nse.bussiness.entity.orm.table.TProEntity;
import java.util.Date;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_XML_FILE"
)
public class TXmlFile extends TProEntity {
   private String pXmlName;
   private String pname;
   private String pvalue;
   private String pgroup;
   private String editor;
   private Date createtime;
   private String createname;

   public String getpXmlName() {
      return this.pXmlName;
   }

   public void setpXmlName(String pXmlName) {
      this.pXmlName = pXmlName;
   }

   public String getPname() {
      return this.pname;
   }

   public void setPname(String pname) {
      this.pname = pname;
   }

   public String getPvalue() {
      return this.pvalue;
   }

   public void setPvalue(String pvalue) {
      this.pvalue = pvalue;
   }

   public String getPgroup() {
      return this.pgroup;
   }

   public void setPgroup(String pgroup) {
      this.pgroup = pgroup;
   }

   public String getEditor() {
      return this.editor;
   }

   public void setEditor(String editor) {
      this.editor = editor;
   }

   public Date getCreatetime() {
      return this.createtime;
   }

   public void setCreatetime(Date createtime) {
      this.createtime = createtime;
   }

   public String getCreatename() {
      return this.createname;
   }

   public void setCreatename(String createname) {
      this.createname = createname;
   }
}
